searchNodes=[{"doc":"Snowcrawler keeps the contexts that define your domain and business logic. Contexts are also responsible for managing your data, regardless if it comes from the database, an external API or others.","ref":"Snowcrawler.html","title":"Snowcrawler","type":"module"},{"doc":"The Accounts context.","ref":"Snowcrawler.Accounts.html","title":"Snowcrawler.Accounts","type":"module"},{"doc":"Returns an %Ecto.Changeset{} for tracking user changes. Examples iex&gt; change_user ( user ) % Ecto.Changeset { data : % User { } }","ref":"Snowcrawler.Accounts.html#change_user/2","title":"Snowcrawler.Accounts.change_user/2","type":"function"},{"doc":"Creates a user. Examples iex&gt; create_user ( %{ field : value } ) { :ok , % User { } } iex&gt; create_user ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Snowcrawler.Accounts.html#create_user/1","title":"Snowcrawler.Accounts.create_user/1","type":"function"},{"doc":"Deletes a user. Examples iex&gt; delete_user ( user ) { :ok , % User { } } iex&gt; delete_user ( user ) { :error , % Ecto.Changeset { } }","ref":"Snowcrawler.Accounts.html#delete_user/1","title":"Snowcrawler.Accounts.delete_user/1","type":"function"},{"doc":"Gets a single user. Raises Ecto.NoResultsError if the User does not exist. Examples iex&gt; get_user! ( 123 ) % User { } iex&gt; get_user! ( 456 ) ** (Ecto.NoResultsError)","ref":"Snowcrawler.Accounts.html#get_user!/1","title":"Snowcrawler.Accounts.get_user!/1","type":"function"},{"doc":"Returns the list of users. Examples iex&gt; list_users ( ) [ % User { } , ... ]","ref":"Snowcrawler.Accounts.html#list_users/0","title":"Snowcrawler.Accounts.list_users/0","type":"function"},{"doc":"Updates a user. Examples iex&gt; update_user ( user , %{ field : new_value } ) { :ok , % User { } } iex&gt; update_user ( user , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Snowcrawler.Accounts.html#update_user/2","title":"Snowcrawler.Accounts.update_user/2","type":"function"},{"doc":"","ref":"Snowcrawler.Accounts.User.html","title":"Snowcrawler.Accounts.User","type":"module"},{"doc":"The Interface context.","ref":"Snowcrawler.Interface.html","title":"Snowcrawler.Interface","type":"module"},{"doc":"Returns an %Ecto.Changeset{} for tracking display changes. Examples iex&gt; change_display ( display ) % Ecto.Changeset { data : % Display { } }","ref":"Snowcrawler.Interface.html#change_display/2","title":"Snowcrawler.Interface.change_display/2","type":"function"},{"doc":"Creates a display. Examples iex&gt; create_display ( %{ field : value } ) { :ok , % Display { } } iex&gt; create_display ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Snowcrawler.Interface.html#create_display/1","title":"Snowcrawler.Interface.create_display/1","type":"function"},{"doc":"Deletes a display. Examples iex&gt; delete_display ( display ) { :ok , % Display { } } iex&gt; delete_display ( display ) { :error , % Ecto.Changeset { } }","ref":"Snowcrawler.Interface.html#delete_display/1","title":"Snowcrawler.Interface.delete_display/1","type":"function"},{"doc":"Gets a single display. Raises Ecto.NoResultsError if the Display does not exist. Examples iex&gt; get_display! ( 123 ) % Display { } iex&gt; get_display! ( 456 ) ** (Ecto.NoResultsError)","ref":"Snowcrawler.Interface.html#get_display!/1","title":"Snowcrawler.Interface.get_display!/1","type":"function"},{"doc":"Returns the list of displays. Examples iex&gt; list_displays ( ) [ % Display { } , ... ]","ref":"Snowcrawler.Interface.html#list_displays/0","title":"Snowcrawler.Interface.list_displays/0","type":"function"},{"doc":"Updates a display. Examples iex&gt; update_display ( display , %{ field : new_value } ) { :ok , % Display { } } iex&gt; update_display ( display , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Snowcrawler.Interface.html#update_display/2","title":"Snowcrawler.Interface.update_display/2","type":"function"},{"doc":"","ref":"Snowcrawler.Interface.Display.html","title":"Snowcrawler.Interface.Display","type":"module"},{"doc":"","ref":"Snowcrawler.Parser.html","title":"Snowcrawler.Parser","type":"module"},{"doc":"","ref":"Snowcrawler.Parser.html#parse/1","title":"Snowcrawler.Parser.parse/1","type":"function"},{"doc":"","ref":"Snowcrawler.Parser.html#t:action/0","title":"Snowcrawler.Parser.action/0","type":"type"},{"doc":"","ref":"Snowcrawler.Parser.Unit.html","title":"Snowcrawler.Parser.Unit","type":"module"},{"doc":"ACTION' represents one of a limited number of actions. OBJECTS' represents its target.","ref":"Snowcrawler.Parser.Unit.html#t:t/0","title":"Snowcrawler.Parser.Unit.t/0","type":"type"},{"doc":"","ref":"Snowcrawler.Repo.html","title":"Snowcrawler.Repo","type":"module"},{"doc":"Callback implementation for Ecto.Repo.aggregate/3 .","ref":"Snowcrawler.Repo.html#aggregate/3","title":"Snowcrawler.Repo.aggregate/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.aggregate/4 .","ref":"Snowcrawler.Repo.html#aggregate/4","title":"Snowcrawler.Repo.aggregate/4","type":"function"},{"doc":"Callback implementation for Ecto.Repo.all/2 .","ref":"Snowcrawler.Repo.html#all/2","title":"Snowcrawler.Repo.all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.checked_out?/0 .","ref":"Snowcrawler.Repo.html#checked_out?/0","title":"Snowcrawler.Repo.checked_out?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.checkout/2 .","ref":"Snowcrawler.Repo.html#checkout/2","title":"Snowcrawler.Repo.checkout/2","type":"function"},{"doc":"","ref":"Snowcrawler.Repo.html#child_spec/1","title":"Snowcrawler.Repo.child_spec/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.config/0 .","ref":"Snowcrawler.Repo.html#config/0","title":"Snowcrawler.Repo.config/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.default_options/1 .","ref":"Snowcrawler.Repo.html#default_options/1","title":"Snowcrawler.Repo.default_options/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete/2 .","ref":"Snowcrawler.Repo.html#delete/2","title":"Snowcrawler.Repo.delete/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete!/2 .","ref":"Snowcrawler.Repo.html#delete!/2","title":"Snowcrawler.Repo.delete!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete_all/2 .","ref":"Snowcrawler.Repo.html#delete_all/2","title":"Snowcrawler.Repo.delete_all/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that forces all connections in the pool to disconnect within the given interval. See Ecto.Adapters.SQL.disconnect_all/3 for more information.","ref":"Snowcrawler.Repo.html#disconnect_all/2","title":"Snowcrawler.Repo.disconnect_all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.exists?/2 .","ref":"Snowcrawler.Repo.html#exists?/2","title":"Snowcrawler.Repo.exists?/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar depending on the adapter to obtain statistics for the given query. See Ecto.Adapters.SQL.explain/4 for more information.","ref":"Snowcrawler.Repo.html#explain/3","title":"Snowcrawler.Repo.explain/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get/3 .","ref":"Snowcrawler.Repo.html#get/3","title":"Snowcrawler.Repo.get/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get!/3 .","ref":"Snowcrawler.Repo.html#get!/3","title":"Snowcrawler.Repo.get!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by/3 .","ref":"Snowcrawler.Repo.html#get_by/3","title":"Snowcrawler.Repo.get_by/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by!/3 .","ref":"Snowcrawler.Repo.html#get_by!/3","title":"Snowcrawler.Repo.get_by!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_dynamic_repo/0 .","ref":"Snowcrawler.Repo.html#get_dynamic_repo/0","title":"Snowcrawler.Repo.get_dynamic_repo/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.in_transaction?/0 .","ref":"Snowcrawler.Repo.html#in_transaction?/0","title":"Snowcrawler.Repo.in_transaction?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert/2 .","ref":"Snowcrawler.Repo.html#insert/2","title":"Snowcrawler.Repo.insert/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert!/2 .","ref":"Snowcrawler.Repo.html#insert!/2","title":"Snowcrawler.Repo.insert!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_all/3 .","ref":"Snowcrawler.Repo.html#insert_all/3","title":"Snowcrawler.Repo.insert_all/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update/2 .","ref":"Snowcrawler.Repo.html#insert_or_update/2","title":"Snowcrawler.Repo.insert_or_update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update!/2 .","ref":"Snowcrawler.Repo.html#insert_or_update!/2","title":"Snowcrawler.Repo.insert_or_update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.load/2 .","ref":"Snowcrawler.Repo.html#load/2","title":"Snowcrawler.Repo.load/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one/2 .","ref":"Snowcrawler.Repo.html#one/2","title":"Snowcrawler.Repo.one/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one!/2 .","ref":"Snowcrawler.Repo.html#one!/2","title":"Snowcrawler.Repo.one!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.preload/3 .","ref":"Snowcrawler.Repo.html#preload/3","title":"Snowcrawler.Repo.preload/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.prepare_query/3 .","ref":"Snowcrawler.Repo.html#prepare_query/3","title":"Snowcrawler.Repo.prepare_query/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.put_dynamic_repo/1 .","ref":"Snowcrawler.Repo.html#put_dynamic_repo/1","title":"Snowcrawler.Repo.put_dynamic_repo/1","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query/4 for more information.","ref":"Snowcrawler.Repo.html#query/3","title":"Snowcrawler.Repo.query/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query!/4 for more information.","ref":"Snowcrawler.Repo.html#query!/3","title":"Snowcrawler.Repo.query!/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query. See Ecto.Adapters.SQL.query_many/4 for more information.","ref":"Snowcrawler.Repo.html#query_many/3","title":"Snowcrawler.Repo.query_many/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query. See Ecto.Adapters.SQL.query_many!/4 for more information.","ref":"Snowcrawler.Repo.html#query_many!/3","title":"Snowcrawler.Repo.query_many!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.reload/2 .","ref":"Snowcrawler.Repo.html#reload/2","title":"Snowcrawler.Repo.reload/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.reload!/2 .","ref":"Snowcrawler.Repo.html#reload!/2","title":"Snowcrawler.Repo.reload!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.rollback/1 .","ref":"Snowcrawler.Repo.html#rollback/1","title":"Snowcrawler.Repo.rollback/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.start_link/1 .","ref":"Snowcrawler.Repo.html#start_link/1","title":"Snowcrawler.Repo.start_link/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stop/1 .","ref":"Snowcrawler.Repo.html#stop/1","title":"Snowcrawler.Repo.stop/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stream/2 .","ref":"Snowcrawler.Repo.html#stream/2","title":"Snowcrawler.Repo.stream/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that translates the given query to SQL. See Ecto.Adapters.SQL.to_sql/3 for more information.","ref":"Snowcrawler.Repo.html#to_sql/2","title":"Snowcrawler.Repo.to_sql/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.transaction/2 .","ref":"Snowcrawler.Repo.html#transaction/2","title":"Snowcrawler.Repo.transaction/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update/2 .","ref":"Snowcrawler.Repo.html#update/2","title":"Snowcrawler.Repo.update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update!/2 .","ref":"Snowcrawler.Repo.html#update!/2","title":"Snowcrawler.Repo.update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update_all/3 .","ref":"Snowcrawler.Repo.html#update_all/3","title":"Snowcrawler.Repo.update_all/3","type":"function"},{"doc":"The entrypoint for defining your web interface, such as controllers, views, channels and so on. This can be used in your application as: use SnowcrawlerWeb , :controller use SnowcrawlerWeb , :view The definitions below will be executed for every view, controller, etc, so keep them short and clean, focused on imports, uses and aliases. Do NOT define functions inside the quoted expressions below. Instead, define any helper function in modules and import those modules here.","ref":"SnowcrawlerWeb.html","title":"SnowcrawlerWeb","type":"module"},{"doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"SnowcrawlerWeb.html#__using__/1","title":"SnowcrawlerWeb.__using__/1","type":"macro"},{"doc":"","ref":"SnowcrawlerWeb.html#channel/0","title":"SnowcrawlerWeb.channel/0","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.html#controller/0","title":"SnowcrawlerWeb.controller/0","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.html#router/0","title":"SnowcrawlerWeb.router/0","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.html#view/0","title":"SnowcrawlerWeb.view/0","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.ChangesetView.html","title":"SnowcrawlerWeb.ChangesetView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"SnowcrawlerWeb.ChangesetView.html#__resource__/0","title":"SnowcrawlerWeb.ChangesetView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"SnowcrawlerWeb.ChangesetView.html#render/2","title":"SnowcrawlerWeb.ChangesetView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"SnowcrawlerWeb.ChangesetView.html#template_not_found/2","title":"SnowcrawlerWeb.ChangesetView.template_not_found/2","type":"function"},{"doc":"Traverses and translates changeset errors. See Ecto.Changeset.traverse_errors/2 and SnowcrawlerWeb.ErrorHelpers.translate_error/1 for more details.","ref":"SnowcrawlerWeb.ChangesetView.html#translate_errors/1","title":"SnowcrawlerWeb.ChangesetView.translate_errors/1","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.DisplayController.html","title":"SnowcrawlerWeb.DisplayController","type":"module"},{"doc":"","ref":"SnowcrawlerWeb.DisplayController.html#create/2","title":"SnowcrawlerWeb.DisplayController.create/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.DisplayController.html#delete/2","title":"SnowcrawlerWeb.DisplayController.delete/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.DisplayController.html#index/2","title":"SnowcrawlerWeb.DisplayController.index/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.DisplayController.html#show/2","title":"SnowcrawlerWeb.DisplayController.show/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.DisplayController.html#update/2","title":"SnowcrawlerWeb.DisplayController.update/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.DisplayView.html","title":"SnowcrawlerWeb.DisplayView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"SnowcrawlerWeb.DisplayView.html#__resource__/0","title":"SnowcrawlerWeb.DisplayView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"SnowcrawlerWeb.DisplayView.html#render/2","title":"SnowcrawlerWeb.DisplayView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"SnowcrawlerWeb.DisplayView.html#template_not_found/2","title":"SnowcrawlerWeb.DisplayView.template_not_found/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Endpoint.html","title":"SnowcrawlerWeb.Endpoint","type":"module"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast/3 .","ref":"SnowcrawlerWeb.Endpoint.html#broadcast/3","title":"SnowcrawlerWeb.Endpoint.broadcast/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast!/3 .","ref":"SnowcrawlerWeb.Endpoint.html#broadcast!/3","title":"SnowcrawlerWeb.Endpoint.broadcast!/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast_from/4 .","ref":"SnowcrawlerWeb.Endpoint.html#broadcast_from/4","title":"SnowcrawlerWeb.Endpoint.broadcast_from/4","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast_from!/4 .","ref":"SnowcrawlerWeb.Endpoint.html#broadcast_from!/4","title":"SnowcrawlerWeb.Endpoint.broadcast_from!/4","type":"function"},{"doc":"Callback implementation for Plug.call/2 .","ref":"SnowcrawlerWeb.Endpoint.html#call/2","title":"SnowcrawlerWeb.Endpoint.call/2","type":"function"},{"doc":"Returns the child specification to start the endpoint under a supervision tree.","ref":"SnowcrawlerWeb.Endpoint.html#child_spec/1","title":"SnowcrawlerWeb.Endpoint.child_spec/1","type":"function"},{"doc":"Returns the endpoint configuration for key Returns default if the key does not exist.","ref":"SnowcrawlerWeb.Endpoint.html#config/2","title":"SnowcrawlerWeb.Endpoint.config/2","type":"function"},{"doc":"Reloads the configuration given the application environment changes.","ref":"SnowcrawlerWeb.Endpoint.html#config_change/2","title":"SnowcrawlerWeb.Endpoint.config_change/2","type":"function"},{"doc":"Returns the host for the given endpoint.","ref":"SnowcrawlerWeb.Endpoint.html#host/0","title":"SnowcrawlerWeb.Endpoint.host/0","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"SnowcrawlerWeb.Endpoint.html#init/1","title":"SnowcrawlerWeb.Endpoint.init/1","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.local_broadcast/3 .","ref":"SnowcrawlerWeb.Endpoint.html#local_broadcast/3","title":"SnowcrawlerWeb.Endpoint.local_broadcast/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.local_broadcast_from/4 .","ref":"SnowcrawlerWeb.Endpoint.html#local_broadcast_from/4","title":"SnowcrawlerWeb.Endpoint.local_broadcast_from/4","type":"function"},{"doc":"Generates the path information when routing to this endpoint.","ref":"SnowcrawlerWeb.Endpoint.html#path/1","title":"SnowcrawlerWeb.Endpoint.path/1","type":"function"},{"doc":"Generates the script name.","ref":"SnowcrawlerWeb.Endpoint.html#script_name/0","title":"SnowcrawlerWeb.Endpoint.script_name/0","type":"function"},{"doc":"Starts the endpoint supervision tree. Options :log_access_url - if the access url should be logged once the endpoint starts All other options are merged into the endpoint configuration.","ref":"SnowcrawlerWeb.Endpoint.html#start_link/1","title":"SnowcrawlerWeb.Endpoint.start_link/1","type":"function"},{"doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file in priv/static . Meant to be used for Subresource Integrity with CDNs.","ref":"SnowcrawlerWeb.Endpoint.html#static_integrity/1","title":"SnowcrawlerWeb.Endpoint.static_integrity/1","type":"function"},{"doc":"Returns a two item tuple with the first item being the static_path and the second item being the static_integrity .","ref":"SnowcrawlerWeb.Endpoint.html#static_lookup/1","title":"SnowcrawlerWeb.Endpoint.static_lookup/1","type":"function"},{"doc":"Generates a route to a static file in priv/static .","ref":"SnowcrawlerWeb.Endpoint.html#static_path/1","title":"SnowcrawlerWeb.Endpoint.static_path/1","type":"function"},{"doc":"Generates the static URL without any path information. It uses the configuration under :static_url to generate such. It falls back to :url if :static_url is not set.","ref":"SnowcrawlerWeb.Endpoint.html#static_url/0","title":"SnowcrawlerWeb.Endpoint.static_url/0","type":"function"},{"doc":"Generates the endpoint base URL but as a URI struct. It uses the configuration under :url to generate such. Useful for manipulating the URL data and passing it to URL helpers.","ref":"SnowcrawlerWeb.Endpoint.html#struct_url/0","title":"SnowcrawlerWeb.Endpoint.struct_url/0","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.subscribe/2 .","ref":"SnowcrawlerWeb.Endpoint.html#subscribe/2","title":"SnowcrawlerWeb.Endpoint.subscribe/2","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.unsubscribe/1 .","ref":"SnowcrawlerWeb.Endpoint.html#unsubscribe/1","title":"SnowcrawlerWeb.Endpoint.unsubscribe/1","type":"function"},{"doc":"Generates the endpoint base URL without any path information. It uses the configuration under :url to generate such.","ref":"SnowcrawlerWeb.Endpoint.html#url/0","title":"SnowcrawlerWeb.Endpoint.url/0","type":"function"},{"doc":"Conveniences for translating and building error messages.","ref":"SnowcrawlerWeb.ErrorHelpers.html","title":"SnowcrawlerWeb.ErrorHelpers","type":"module"},{"doc":"Translates an error message.","ref":"SnowcrawlerWeb.ErrorHelpers.html#translate_error/1","title":"SnowcrawlerWeb.ErrorHelpers.translate_error/1","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.ErrorView.html","title":"SnowcrawlerWeb.ErrorView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"SnowcrawlerWeb.ErrorView.html#__resource__/0","title":"SnowcrawlerWeb.ErrorView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"SnowcrawlerWeb.ErrorView.html#render/2","title":"SnowcrawlerWeb.ErrorView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"SnowcrawlerWeb.ErrorView.html#template_not_found/2","title":"SnowcrawlerWeb.ErrorView.template_not_found/2","type":"function"},{"doc":"Translates controller action results into valid Plug.Conn responses. See Phoenix.Controller.action_fallback/1 for more details.","ref":"SnowcrawlerWeb.FallbackController.html","title":"SnowcrawlerWeb.FallbackController","type":"module"},{"doc":"","ref":"SnowcrawlerWeb.Router.html","title":"SnowcrawlerWeb.Router","type":"module"},{"doc":"","ref":"SnowcrawlerWeb.Router.html#api/2","title":"SnowcrawlerWeb.Router.api/2","type":"function"},{"doc":"Callback invoked by Plug on every request.","ref":"SnowcrawlerWeb.Router.html#call/2","title":"SnowcrawlerWeb.Router.call/2","type":"function"},{"doc":"Callback required by Plug that initializes the router for serving web requests.","ref":"SnowcrawlerWeb.Router.html#init/1","title":"SnowcrawlerWeb.Router.init/1","type":"function"},{"doc":"Module with named helpers generated from SnowcrawlerWeb.Router.","ref":"SnowcrawlerWeb.Router.Helpers.html","title":"SnowcrawlerWeb.Router.Helpers","type":"module"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#display_path/2","title":"SnowcrawlerWeb.Router.Helpers.display_path/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#display_path/3","title":"SnowcrawlerWeb.Router.Helpers.display_path/3","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#display_path/4","title":"SnowcrawlerWeb.Router.Helpers.display_path/4","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#display_url/2","title":"SnowcrawlerWeb.Router.Helpers.display_url/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#display_url/3","title":"SnowcrawlerWeb.Router.Helpers.display_url/3","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#display_url/4","title":"SnowcrawlerWeb.Router.Helpers.display_url/4","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_path/2","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_path/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_path/3","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_path/3","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_path/4","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_path/4","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_path/5","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_path/5","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_url/2","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_url/2","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_url/3","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_url/3","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_url/4","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_url/4","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Router.Helpers.html#live_dashboard_url/5","title":"SnowcrawlerWeb.Router.Helpers.live_dashboard_url/5","type":"function"},{"doc":"Generates the path information including any necessary prefix.","ref":"SnowcrawlerWeb.Router.Helpers.html#path/2","title":"SnowcrawlerWeb.Router.Helpers.path/2","type":"function"},{"doc":"Generates an integrity hash to a static asset given its file path.","ref":"SnowcrawlerWeb.Router.Helpers.html#static_integrity/2","title":"SnowcrawlerWeb.Router.Helpers.static_integrity/2","type":"function"},{"doc":"Generates path to a static asset given its file path.","ref":"SnowcrawlerWeb.Router.Helpers.html#static_path/2","title":"SnowcrawlerWeb.Router.Helpers.static_path/2","type":"function"},{"doc":"Generates url to a static asset given its file path.","ref":"SnowcrawlerWeb.Router.Helpers.html#static_url/2","title":"SnowcrawlerWeb.Router.Helpers.static_url/2","type":"function"},{"doc":"Generates the connection/endpoint base URL without any path information.","ref":"SnowcrawlerWeb.Router.Helpers.html#url/1","title":"SnowcrawlerWeb.Router.Helpers.url/1","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Telemetry.html","title":"SnowcrawlerWeb.Telemetry","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"SnowcrawlerWeb.Telemetry.html#child_spec/1","title":"SnowcrawlerWeb.Telemetry.child_spec/1","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Telemetry.html#metrics/0","title":"SnowcrawlerWeb.Telemetry.metrics/0","type":"function"},{"doc":"","ref":"SnowcrawlerWeb.Telemetry.html#start_link/1","title":"SnowcrawlerWeb.Telemetry.start_link/1","type":"function"}]